Name:          python-funcsigs
Version:       1.0.2
Release:       1mamba
Summary:       Python function signatures from PEP362 for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://funcsigs.readthedocs.org/
Source:        https://pypi.debian.net/funcsigs/funcsigs-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n funcsigs-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/funcsigs-%{version}-py*.egg-info
%{python_sitearch}/funcsigs-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Mon Aug 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- package created using the webbuild interface
